Subject: bug#56815: 29.0.50; Isearch lazy-highlight highlights too much when truncate-lines is in effect

From: Eli Zaretskii <[email-masked]>
Date: Sun, 21 Aug 2022 22:35:24 +0300

> From: Juri Linkov <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Sun, 21 Aug 2022 22:03:48 +0300
> 
> >> This means using the same condition like in 'line-move'?
> >>
> >>                   (and
> >>                    (or truncate-lines
> >>                        (and (integerp truncate-partial-width-windows)
> >>                             (< (window-total-width)
> >>                                truncate-partial-width-windows))
> >>                        (and truncate-partial-width-windows
> >>                             (not (integerp truncate-partial-width-windows))
> >>                             (not (window-full-width-p))))
> >>                    ;; ...or if lines are truncated, this buffer
> >>                    ;; doesn't have very long lines.
> >>                    (long-line-optimizations-p))
> >
> > Yes, this is the (unfortunately complicated) way of determining
> > whether the window has truncated lines.
> 
> Would it be possible to refactor this to a separate function?

Sure.

> I guess it could be in simple.el.  But what would be a good name?
> Maybe 'truncate-lines-p'?

lines-truncated-p, I guess.  Or window-lines-truncated-p.  And I think
it should be in window.el.